%define name ADOdb
%define	maj_ver	3
%define	min_ver	72
%define version %{maj_ver}.%{min_ver}
%define	src_ver	%{maj_ver}%{min_ver}
%define release 1mdk

Summary:	Active Data Objects Data Base
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	adodb%{src_ver}.tar.bz2
License:	BSD
URL:		http://php.weblogs.com/ADODB/
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Requires:	php-session (built in)
Requires:	php php-common
BuildArch:	noarch

%description
PHP is a wonderful language for building dynamic web pages.
Unfortunately, PHP's database access functions are not
standardised. Every database extension uses a different and
incompatibile API. This creates a need for a database class
library to hide the differences between the different databases
(encapsulate the differences) so we can easily switch databases. 

%prep

%setup -q -n adodb

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/icons
install -d %{buildroot}%{_libdir}/adodb/drivers
install -d %{buildroot}%{_libdir}/adodb/lang
install -d %{buildroot}%{_libdir}/adodb/datadict

install -m644 *.php %{buildroot}%{_libdir}/adodb/
install -m644 drivers/*.php %{buildroot}%{_libdir}/adodb/drivers/
install -m644 lang/*  %{buildroot}%{_libdir}/adodb/lang/
install -m644 datadict/* %{buildroot}%{_libdir}/adodb/datadict/

install -m644 cute_icons_for_site/*.png %{buildroot}/var/www/icons/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt *.htm* server.php tests
%{_libdir}/adodb
/var/www/icons/*.png

%changelog
* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.72-1mdk
- 3.72

* Wed Aug 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.70-1mdk
- 3.70
- misc spec file fixes

* Thu Jun 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.60-1mdk
- 3.60

* Fri May 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.50-1mdk
- 3.50
- install missing stuff
- misc spec file fixes

* Thu Apr 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.40-1mdk
- 3.40

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.30-1mdk
- 3.30

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.20-1mdk
- 3.20

* Tue Jan 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.10-1mdk
- 3.10

* Thu Jan 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.00-1mdk
- new version
- ship the "cute icons" in place :)

* Mon Dec 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.90-1mdk
- new version

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.43-1mdk
- new version

* Mon Sep  9 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.40-1mdk
- new version

* Wed Aug 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.31-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.30-1mdk
- new version

* Mon Jul 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.21-1mdk
- new version

* Wed Jul 10 2002  Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.20-1mdk
- new version

* Thu Jun 13 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.12-1mdk
- 2.12

* Sun Jun  9 2002 <oden.eriksson@kvikkjokk.net> 2.11-1mdk
- new version

* Sun Jun  2 2002 <oden.eriksson@kvikkjokk.net> 2.00-1mdk
- initial cooker contrib
